=== debian/changelog ===
ros-kinetic-ifm3d (0.6.2-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sean Kelly <sean.kelly@ifm.com>  Tue, 25 Feb 2020 13:48:05 -0000
